{% extends "base.html" %}
{% block content %}
<h3 style="text-align: center">Halaman Administrasi Buku Perpustakaan</h3>
<br><br>
<div class="row">
    <div class="col-md-6 col-xs-6">
        <table align="center" style="text-align: center">
            <tr>
                <th>Nomor Buku</th>
                <th>Judul Buku</th>
                <th>Penulis</th>
                <th>jumlah</th>
                <th>Lokasi Perpus</th>
            </tr>
            {% for buku_data in buku_dict %}
                <tr>
                    <td class="nomor">{{ buku_data.nomorbuku }}</td>
                    <td class="judul">{{ buku_data.judul }}</td>
                    <td class="penulis">{{ buku_data.penulis }}</td>
                    <td class="jumlah">{{ buku_data.jumlah }}</td>
                    <td class="Tempat Perpus">{{ buku_data.noperpus.nama }}</td>
                </tr>
            {% endfor %}
        </table>
    </div>
    <div class="col-md-6 col-xs-6">
        <form method="POST" action="add_buku/">
            {% csrf_token %}
            <table>
                <tr>
                    <td>
                        Nomor buku :
                    </td>
                    <td>
                        <input type="text" name="nomorbuku" id="nomorbuku" required="required"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        Judul Buku:
                    </td>
                    <td>
                        <input type="text" name="judul" id="judul" size="25"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        Penulis
                    </td>
                    <td>
                        <input type="text" name="penulis" id="penulis" size="25"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        Jumlah
                    </td>
                    <td>
                        <input type="number" min="0" name="jumlah" id="jumlah" size="25" required="required" value="0"/>
                    </td>
                    <td>
                </td>
                <tr>
                    <td>
                        Nama Perpus
                    </td>
                    <td>
                        <select name="noperpus" id="noperpus">
                        {% for perpus in semuaperpus %}
                            <option value="{{ perpus.nomor }}"> {{ perpus.nama }}</option>
                        {% endfor %}
                        </select>
                    </td>
                </tr>
            </table>
            <button type="submit" class="button btn-success">Submit</button>
        </form>
    </div>
</div>
{% endblock %}
